TabItemProgram

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gui
Class TabItemProgram

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      gui.TabItemProgram

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

public class TabItemProgram
extends org.eclipse.swt.widgets.Composite

TabItemProgram Klasse Dient zum Schreiben von Steuerungsprogrammen in der Sprache Roboscript, wobei alle Befehl als Link eingefügt werden, Syntaxhighlighting das Arbeiten erleichert und ein eigener Parser die Scripte in Befehle umwandelt

Field Summary
`static java.lang.String` | `SHELL_TITLE`

Fields inherited from class org.eclipse.swt.widgets.Control
`handle`

Constructor Summary
`TabItemProgram(MainShell mainSh, org.eclipse.swt.widgets.Composite parent, int style, NetworkHandler netH)` Konstruktor

Method Summary
`boolean` | `closeAll()` Wird aufgerufen, wenn das Programm beendet wird.
`java.lang.String` | `getBoxText()` Liefert den gesamten Text
`void` | `highlightLine(int x)` Hinterlegt eine bestimmte Zeile rot
`void` | `immediateHalt()` Veranlasst, dass sofort ein HALT-Kommando geschickt wird
`void` | `loadFile()` Lädt ein Programm aus einer Datei
`void` | `newFile()` Eröffnet eine neue Datei
`void` | `parseProgramAndRun(int repeatTime, java.lang.String sPwd)` Veranlasst, dass das Programm geparst und anschließend gestartet wird
`void` | `parseProgramOnly()` Veranlasst nur das parsen des Programmes ohne Übertragung
`void` | `replaceDynamicSelectedCommand(java.lang.String cmd, int line)` Ermöglicht das Ersetzen von Commands von außen her (notwendig, wenn ein Command dynamisch gewählt wurde)
`void` | `resetCompleteLineHighlight()` Hebt die Zeilenhinterlegung komplett auf
`void` | `resetLineHighlight(int x)` Hebt die Zeilenhinterlegung für eine Zeile auf
`void` | `saveFile()` Speichert das aktuelle Programm in eine Datei, wenn der Pfad bereits bekannt ist
`void` | `saveFileAs()` Speichert das aktuelle Programm unter vorgabe des gewünschten Pfades
`void` | `setShell(org.eclipse.swt.widgets.Shell s)` Setzt die Shell und initialisiert alles, was man erst machen kann, wenn die Shell bekannt ist.
`void` | `windowOpenEvent(java.lang.String page, int line)` Wird aufgerufen, wenn der Benutzer in der Tooltip-HTML-Seite auf einen Link klickt, der per JavaScript ein neues Fenster geöffnet hätte.

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, computeSize, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getClientArea, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control
`addControlListener, addFocusListener, addHelpListener, addKeyListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addPaintListener, addTraverseListener, computeSize, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, redraw, redraw, removeControlListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, dispose, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SHELL_TITLE

    public static final java.lang.String SHELL_TITLE

See Also:
  Constant Field Values

Constructor Detail

### TabItemProgram

    public TabItemProgram(MainShell mainSh,
                          org.eclipse.swt.widgets.Composite parent,
                          int style,
                          NetworkHandler netH)

  Konstruktor

Parameters:
  `mainSh` - Referenz auf die MainShell
  `parent` - das Parent Composite
  `style` - der SWT Style
  `netH` - das vorherrschende NetworkHandler Objekt

Method Detail

### highlightLine

    public void highlightLine(int x)

  Hinterlegt eine bestimmte Zeile rot

  Parameters:
    `x` - Zeilennummer

### resetCompleteLineHighlight

    public void resetCompleteLineHighlight()

  Hebt die Zeilenhinterlegung komplett auf

### resetLineHighlight

    public void resetLineHighlight(int x)

  Hebt die Zeilenhinterlegung für eine Zeile auf

  Parameters:
    `x` - Zeilenummer

### setShell

    public void setShell(org.eclipse.swt.widgets.Shell s)

  Setzt die Shell und initialisiert alles, was man erst machen kann, wenn die Shell bekannt ist. Wichtig für die Dialoge.

  Parameters:
    `s` - die zu setzende SHell

### windowOpenEvent

    public void windowOpenEvent(java.lang.String page,
                                int line)

  Wird aufgerufen, wenn der Benutzer in der Tooltip-HTML-Seite auf einen Link klickt, der per JavaScript ein neues Fenster geöffnet hätte.

  Parameters:
    `page` - Seite, auf der der Link geklickt wurde
    `line` - Zeile, in der das zu korrigierende Wort steht

### replaceDynamicSelectedCommand

    public void replaceDynamicSelectedCommand(java.lang.String cmd,
                                              int line)

  Ermöglicht das Ersetzen von Commands von außen her (notwendig, wenn ein Command dynamisch gewählt wurde)

  Parameters:
    `cmd` - das zu ersetzende Kommando
    `line` - Zeile in der die Ersetzung durchgeführt werden soll

### immediateHalt

    public void immediateHalt()

  Veranlasst, dass sofort ein HALT-Kommando geschickt wird

### parseProgramAndRun

    public void parseProgramAndRun(int repeatTime,
                                   java.lang.String sPwd)

  Veranlasst, dass das Programm geparst und anschließend gestartet wird

  Parameters:
    `repeatTime` - gibt an, ob eine Endlosschleife erfolgen soll bei 0 wird das Programm nur einmal ausgeführt, ansonsten wird die angegebene Anzahl an Millisekunden gewartet.

### parseProgramOnly

    public void parseProgramOnly()

  Veranlasst nur das parsen des Programmes ohne Übertragung

### getBoxText

    public java.lang.String getBoxText()

  Liefert den gesamten Text

  Returns:
    den gesamten Text als STring

### loadFile

    public void loadFile()

  Lädt ein Programm aus einer Datei

### saveFile

    public void saveFile()

  Speichert das aktuelle Programm in eine Datei, wenn der Pfad bereits bekannt ist

### saveFileAs

    public void saveFileAs()

  Speichert das aktuelle Programm unter vorgabe des gewünschten Pfades

### newFile

    public void newFile()

  Eröffnet eine neue Datei

### closeAll

    public boolean closeAll()

  Wird aufgerufen, wenn das Programm beendet wird.

  Returns:
    true, wenn der Benutzer auf Abbrechen gedrückt hat

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD